com.tibbo.aggregate.common.util

## Class TimeUnit

- java.lang.Object
- - com.tibbo.aggregate.common.util.TimeUnit

-     public class TimeUnit
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeUnit(int unit, long length, java.lang.String description, java.lang.Integer calendarField, boolean secondary)`
    `TimeUnit(int unit, long length, java.lang.String description, java.lang.Integer calendarField, boolean secondary, java.time.temporal.ChronoUnit chronoUnit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getCalendarField()`
    `java.time.temporal.ChronoUnit` | `getChronoUnit()`
    `java.lang.String` | `getDescription()`
    `long` | `getLength()`
    `int` | `getUnit()`
    `int` | `hashCode()`
    `boolean` | `isSecondary()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeUnit

          public TimeUnit(int unit,
                          long length,
                          java.lang.String description,
                          java.lang.Integer calendarField,
                          boolean secondary)

    - #### TimeUnit

          public TimeUnit(int unit,
                          long length,
                          java.lang.String description,
                          java.lang.Integer calendarField,
                          boolean secondary,
                          java.time.temporal.ChronoUnit chronoUnit)

  - ### Method Detail

    - #### getUnit

          public int getUnit()

    - #### getLength

          public long getLength()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getCalendarField

          public int getCalendarField()

    - #### isSecondary

          public boolean isSecondary()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getChronoUnit

          public java.time.temporal.ChronoUnit getChronoUnit()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`